OPTIONS NODATE obs=max;
proc dbf db4=holldat2 out=b;

data holl1; set b;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if depth = 0 then delete;
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 6 then delete; if entw gt 49 then delete;
if ht lt 0.5 then delete;
if width lt 8 then delete; if width gt 48 then delete;

if depth gt 390 then dclass = 0;
else dclass = 1;
title 'brush-tailed possum';
proc freq; tables dclass; run;

data holl1; set b;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if depth = 0 then delete;
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 14.7 then delete; if entw gt 53.5 then delete;
if ht lt 4.4 then delete;
if width lt 19 then delete; if width gt 54 then delete;

if depth lt 45 or depth gt 725 then dclass = 0;
else dclass = 1;
title 'red-tailed black cockatoo';
proc freq; tables dclass; run;

data holl1; set b;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if depth = 0 then delete;
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 10.5 then delete; if entw gt 40 then delete;
if ht lt 14.3 then delete;
if width lt 14 then delete; if width gt 40 then delete;

if depth lt 45 or depth gt 453 then dclass = 0;
else dclass = 1;
title 'corellas';
proc freq; tables dclass; run;

data holl1; set b;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if depth = 0 then delete;
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 6.5 then delete; if entw gt 30 then delete;
if ht lt 4.7 then delete;
if width lt 10 then delete; if width gt 31 then delete;

if depth lt 32 or depth gt 377 then dclass = 0;
else dclass = 1;
title 'galah';
proc freq; tables dclass; run;

data holl1; set b;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if depth = 0 then delete;
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 6.5 then delete; if entw gt 25 then delete;
if ht lt 5.3 then delete;
if width lt 9 then delete; if width gt 17.5 then delete;

if depth lt 45 or depth gt 213 then dclass = 0;
else dclass = 1;
title 'port lincoln parrot';
proc freq; tables dclass; run;

data holl1; set b;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if depth = 0 then delete;
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 2.4 then delete; if entw gt 6 then delete;
if ht lt 10 then delete;
if width lt 2.4 then delete; if width gt 6 then delete;

if depth lt 9 or depth gt 35 then dclass = 0;
else dclass = 1;
title 'striated pardalote';
proc freq; tables dclass; run;

data holl1; set b;
if width = 0 then width = .;
if width=. then width=2.47 + (entw*.72);
if depth = 0 then delete;
if back = 0 then back = .;
if tdhol = 0 then tdhol = .;
btp = 1;
if entw lt 15 then delete; if entw gt 53.5 then delete;
if ht lt 2 then delete;
if width lt 19 then delete; if width gt 54 then delete;

if depth lt 10 or depth gt 250 then dclass = 0;
else dclass = 1;
title 'white-tailed black cockatoo';
proc freq; tables dclass; run;
