OPTIONS NODATE obs=max;
proc dbf db3=hollows out=h;
proc contents data = h;
data b; set h;
if in ne 'TRE' then delete;
proc print; var depth entry diam hollow; run;
data holl1; set b;
btp = 1;
if entry lt 6 then delete; if entry gt 49 then delete;
*if ht lt 0.5 then delete;
if diam lt 8 then delete; if diam gt 48 then delete;

if depth gt 390 then class = 0; if depth lt 68 then class = 0;
else class = 1;
title 'brush-tailed possum';
proc freq; tables class; run;

data holl1; set b;
btp = 1;
if entry lt 10 then delete; if entry gt 55 then delete;
*if ht lt 0.5 then delete;
if diam lt 10 then delete; if diam gt 48 then delete;
holvol = (diam / 2) * (diam / 2) * 3.1416 * depth;
if holvol lt 9000 then class = 0;
else class = 1;
title 'brush-tailed phascogale';
proc freq; tables class; run;

data holl1; set b;
btp = 1;
if entry lt 14.7 then delete; if entry gt 53.5 then delete;
*if ht lt 4.4 then delete;
if diam lt 19 then delete; if diam gt 54 then delete;

if depth lt 45 or depth gt 725 then dclass = 0;
else dclass = 1;
title 'red-tailed black cockatoo';
proc freq; tables dclass; run;

data holl1; set b;
btp = 1;
if entry lt 10.5 then delete; if entry gt 40 then delete;
*if ht lt 14.3 then delete;
if diam lt 14 then delete; if diam gt 40 then delete;

if depth lt 45 or depth gt 453 then dclass = 0;
else dclass = 1;
title 'corellas';
proc freq; tables dclass; run;

data holl1; set b;
btp = 1;
if entry lt 6.5 then delete; if entry gt 30 then delete;
*if ht lt 4.7 then delete;
if diam lt 10 then delete; if diam gt 31 then delete;

if depth lt 32 or depth gt 377 then dclass = 0;
else dclass = 1;
title 'galah';
proc freq; tables dclass; run;

data holl1; set b;
btp = 1;
if entry lt 6.5 then delete; if entry gt 25 then delete;
*if ht lt 5.3 then delete;
if diam lt 9 then delete; if diam gt 17.5 then delete;

if depth lt 45 or depth gt 213 then dclass = 0;
else dclass = 1;
title 'port lincoln parrot';
proc freq; tables dclass; run;

data holl1; set b;
btp = 1;
if entry lt 2.4 then delete; if entry gt 6 then delete;
*if ht lt 10 then delete;
if diam lt 2.4 then delete; if diam gt 6 then delete;

if depth lt 9 or depth gt 35 then dclass = 0;
else dclass = 1;
title 'striated pardalote';
proc freq; tables dclass; run;

data holl1; set b;
btp = 1;
if entry lt 15 then delete; if entry gt 53.5 then delete;
*if ht lt 2 then delete;
if diam lt 19 then delete; if diam gt 54 then delete;

if depth lt 10 or depth gt 250 then dclass = 0;
else dclass = 1;
title 'white-tailed black cockatoo';
proc freq; tables dclass; run;
